Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Default_ORTC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/ObjectReferenceTemplateC.h"`
`#include "ace/post.h"`

Include dependency graph for Default_ORTC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | OBV_PortableInterceptor
namespace | OBV_TAO_Default_ORT
namespace | TAO_Default_ORT
## Compounds
interface | TAO_Default_ORT::ObjectReferenceTemplate
## Defines
#define | TAO_EXPORT_MACRO
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___PTR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___VAR_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OUT_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_
## Functions
TAO_NAMESPACE_CLOSE void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *)
void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate **)
CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *&)
TAO_NAMESPACE_CLOSE CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_Default_ORT::ObjectReferenceTemplate *)
CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_Default_ORT::ObjectReferenceTemplate *&)

## Define Documentation

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OUT_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___PTR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___VAR_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_

#define TAO_EXPORT_MACRO

## Function Documentation

TAO_NAMESPACE_CLOSE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_Default_ORT::ObjectReferenceTemplate * | _tao_valuetype
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate ** | value
| ) |

TAO_NAMESPACE_CLOSE void operator<<= | ( | CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate * | value
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& | value
| ) |